// ComposeInfo.h: interface for the CComposeInfo class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_COMPOSEINFO_H__61B14DF8_21B4_4EF9_AFED_6E4A5936224B__INCLUDED_)
#define AFX_COMPOSEINFO_H__61B14DF8_21B4_4EF9_AFED_6E4A5936224B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
class CImageGrinderView;
class CImageGrinderDoc;

class GridSeg
{
public:
	int row,col;
	GridSeg(int r,int c) {row=r; col=c;}
	GridSeg() {}
};


class CComposeInfo  
{
public:
	void AddSeg(GridSeg &);
	void Init(int size);
	CImageGrinderView* CurView;
	CImageGrinderDoc* CurDoc;
	GridSeg Segs[1024];
	int NumSeg,MaxSeg;


	CComposeInfo();
	virtual ~CComposeInfo();

};

#endif // !defined(AFX_COMPOSEINFO_H__61B14DF8_21B4_4EF9_AFED_6E4A5936224B__INCLUDED_)
